Bug 1756568 - ipa-server-certinstall man page does not match built-in help.
Summary: ipa-server-certinstall man page does not match built-in help.
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Florence Blanc-Renaud
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-28 04:00 UTC by Eugene Kanter
Modified: 2020-04-16 13:48 UTC (History)
6 users (show)

Fixed In Version: ipa-4.6.6-12.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Eugene Kanter 2019-09-28 04:00:28 UTC
Description of problem:

man page is out of date. lists less options then built-in help.

Comment 2 Florence Blanc-Renaud 2019-09-30 07:16:42 UTC
The man page does not list:
--version
-h, --help
-p DIRMAN_PASSWD (but list the long name --dirman-password)
-v, --verbose
-q, --quiet
--log-file=FILE

Comment 3 Rob Crittenden 2019-10-03 20:43:48 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/8086

Comment 4 Florence Blanc-Renaud 2019-10-17 06:12:46 UTC
Fixed upstream
master:
https://pagure.io/freeipa/c/0fc8562b248b13a125d5bda8f0f2964d50dcc08c

Comment 8 Florence Blanc-Renaud 2020-01-28 09:55:03 UTC
RHEL-7.8 is already near the end of a Development Phase and development is being wrapped up. This bug is being moved to RHEL 7.9.
If you believe this particular bug should be reconsidered for 7.8, please let us know.

Comment 11 Mohammad Rizwan 2020-04-16 13:48:03 UTC
~~~~
old:
~~~~
version: ipa-server-4.6.6-11.el7

[root@master ~]# ipa-server-certinstall  --help
Usage: ipa-server-certinstall <-d|-w|-k> [options] <file> ...

Install new SSL server certificates.

Options:
  --version             show program's version number and exit
  -h, --help            show this help message and exit
  -d, --dirsrv          install certificate for the directory server
  -w, --http            install certificate for the http server
  -k, --kdc             install PKINIT certificate for the KDC
  --pin=PIN             The password of the PKCS#12 file
  --cert-name=NAME      Name of the certificate to install
  -p DIRMAN_PASSWORD, --dirman-password=DIRMAN_PASSWORD
                        Directory Manager password

  Logging and output options:
    -v, --verbose       print debugging information
    -q, --quiet         output only errors
    --log-file=FILE     log to the given file

[root@master ~]# man ipa-server-certinstall
[..]
OPTIONS
       -d, --dirsrv
              Install the certificate on the Directory Server

       -w, --http
              Install the certificate in the Apache Web Server

       -k, --kdc
              Install the certificate in the Kerberos KDC

       --pin=PIN
              The password to unlock the private key

       --cert-name=NAME
              Name of the certificate to install

       --dirman-password=DIRMAN_PASSWORD
              Directory Manager password
[..]


~~~~
Fix:
~~~~
version : ipa-server-4.6.8-1.el7


[root@master ~]# ipa-server-certinstall  --help
Usage: ipa-server-certinstall <-d|-w|-k> [options] <file> ...

Install new SSL server certificates.

Options:
  --version             show program's version number and exit
  -h, --help            show this help message and exit
  -d, --dirsrv          install certificate for the directory server
  -w, --http            install certificate for the http server
  -k, --kdc             install PKINIT certificate for the KDC
  --pin=PIN             The password of the PKCS#12 file
  --cert-name=NAME      Name of the certificate to install
  -p DIRMAN_PASSWORD, --dirman-password=DIRMAN_PASSWORD
                        Directory Manager password

  Logging and output options:
    -v, --verbose       print debugging information
    -q, --quiet         output only errors
    --log-file=FILE     log to the given file


[root@master ~]# man ipa-server-certinstall
[..]
       -p, --dirman-password=DIRMAN_PASSWORD
              Directory Manager password

       --version
              Show the program's version and exit

       -h, --help
              Show the help for this program

       -v, --verbose
              Print debugging information

       -q, --quiet
              Output only errors

       --log-file=FILE
              Log to the given file

[..]


man page list the options properly. Hence marking the bug as verified.


Note You need to log in before you can comment on or make changes to this bug.